Re: Java 8 Lambda binary snapshot



On 11/16/2011 1:28 AM, Lew wrote:
Arne Vajhøj wrote:
Lew wrote:
Why don't the vendors certify for the later Java in anything less than five years?

It's the same question. Pushing it back one level doesn't answer it.

Usually app server versions and specific JVM versions are tied.

It is even in the specs.

Java EE 6 spec:

This specification requires that containers provide a Java Compatible™
runtime environment, as defined by the Java Platform, Standard Edition,
v6 specification (Java SE).
...

And?

That says nothing about the vendors or why they lag the specs for so
long. It is a summary of the specs that they might lag.

The vendors release new versions of the app server that works
with new EE or SE versions.

But they don't certify a given app server version for new SE versions.

And the specs support that policy.

Arne

.